### Method

# EDataBook DataBookCursor load_locale

since: 3.12

#### Declaration [src]

    gboolean
    e_data_book_cursor_load_locale (
      EDataBookCursor* cursor,
      gchar** locale,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Load the current locale setting from the cursor’s underlying database.

Addressbook backends implementing cursors should call this function on all active cursor when the locale setting changes.

This will implicitly reset `cursor`‘s state and position.

Available since: 3.12

#### Parameters

`locale`

  Type: `gchar**`

  Return location for the locale.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, otherwise `FALSE` is returned and `error` is set.